## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatementsPackage.Literals

Enclosing interface:
  SQLStatementsPackage

public static interface SQLStatementsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `SQL_CONNECTION_STATEMENT` The meta object literal for the '`SQL Connection Statement`' class.
`static EClass` `SQL_CONTROL_STATEMENT` The meta object literal for the '`SQL Control Statement`' class.
`static EClass` `SQL_DATA_CHANGE_STATEMENT` The meta object literal for the '`SQL Data Change Statement`' class.
`static EClass` `SQL_DATA_STATEMENT` The meta object literal for the '`SQL Data Statement`' class.
`static EClass` `SQL_DIAGNOSTICS_STATEMENT` The meta object literal for the '`SQL Diagnostics Statement`' class.
`static EClass` `SQL_DYNAMIC_STATEMENT` The meta object literal for the '`SQL Dynamic Statement`' class.
`static EClass` `SQL_SCHEMA_STATEMENT` The meta object literal for the '`SQL Schema Statement`' class.
`static EClass` `SQL_SESSION_STATEMENT` The meta object literal for the '`SQL Session Statement`' class.
`static EClass` `SQL_STATEMENT` The meta object literal for the '`SQL Statement`' class.
`static EClass` `SQL_STATEMENT_DEFAULT` The meta object literal for the '`SQL Statement Default`' class.
`static EAttribute` `SQL_STATEMENT_DEFAULT__SQL` The meta object literal for the 'SQL' attribute feature.
`static EClass` `SQL_TRANSACTION_STATEMENT` The meta object literal for the '`SQL Transaction Statement`' class.

Field Detail

### SQL_STATEMENT

    public static final EClass SQL_STATEMENT

  The meta object literal for the '`SQL Statement`' class.

  See Also:
    `SQLStatement`, `SQLStatementsPackageImpl.getSQLStatement()`

### SQL_DATA_STATEMENT

    public static final EClass SQL_DATA_STATEMENT

  The meta object literal for the '`SQL Data Statement`' class.

  See Also:
    `SQLDataStatement`, `SQLStatementsPackageImpl.getSQLDataStatement()`

### SQL_SCHEMA_STATEMENT

    public static final EClass SQL_SCHEMA_STATEMENT

  The meta object literal for the '`SQL Schema Statement`' class.

  See Also:
    `SQLSchemaStatement`, `SQLStatementsPackageImpl.getSQLSchemaStatement()`

### SQL_CONTROL_STATEMENT

    public static final EClass SQL_CONTROL_STATEMENT

  The meta object literal for the '`SQL Control Statement`' class.

  See Also:
    `SQLControlStatement`, `SQLStatementsPackageImpl.getSQLControlStatement()`

### SQL_DATA_CHANGE_STATEMENT

    public static final EClass SQL_DATA_CHANGE_STATEMENT

  The meta object literal for the '`SQL Data Change Statement`' class.

  See Also:
    `SQLDataChangeStatement`, `SQLStatementsPackageImpl.getSQLDataChangeStatement()`

### SQL_STATEMENT_DEFAULT

    public static final EClass SQL_STATEMENT_DEFAULT

  The meta object literal for the '`SQL Statement Default`' class.

  See Also:
    `SQLStatementDefaultImpl`, `SQLStatementsPackageImpl.getSQLStatementDefault()`

### SQL_STATEMENT_DEFAULT__SQL

    public static final EAttribute SQL_STATEMENT_DEFAULT__SQL

  The meta object literal for the 'SQL' attribute feature.

### SQL_CONNECTION_STATEMENT

    public static final EClass SQL_CONNECTION_STATEMENT

  The meta object literal for the '`SQL Connection Statement`' class.

  See Also:
    `SQLConnectionStatement`, `SQLStatementsPackageImpl.getSQLConnectionStatement()`

### SQL_DIAGNOSTICS_STATEMENT

    public static final EClass SQL_DIAGNOSTICS_STATEMENT

  The meta object literal for the '`SQL Diagnostics Statement`' class.

  See Also:
    `SQLDiagnosticsStatement`, `SQLStatementsPackageImpl.getSQLDiagnosticsStatement()`

### SQL_DYNAMIC_STATEMENT

    public static final EClass SQL_DYNAMIC_STATEMENT

  The meta object literal for the '`SQL Dynamic Statement`' class.

  See Also:
    `SQLDynamicStatement`, `SQLStatementsPackageImpl.getSQLDynamicStatement()`

### SQL_SESSION_STATEMENT

    public static final EClass SQL_SESSION_STATEMENT

  The meta object literal for the '`SQL Session Statement`' class.

  See Also:
    `SQLSessionStatement`, `SQLStatementsPackageImpl.getSQLSessionStatement()`

### SQL_TRANSACTION_STATEMENT

    public static final EClass SQL_TRANSACTION_STATEMENT

  The meta object literal for the '`SQL Transaction Statement`' class.

  See Also:
    `SQLTransactionStatement`, `SQLStatementsPackageImpl.getSQLTransactionStatement()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.